#include "MenuTextLeft_Player2Joystick.h"

InputSetting_Joystick* MenuTextLeft_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextLeft_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_left;
}

std::weak_ptr<Entity> MenuTextLeft_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextLeft_Player2Joystick()
{
	return std::make_shared<MenuTextLeft_Player2Joystick>();
}


